# -*- coding: utf-8 -*-
"""
Created on Wed Feb 24 23:41:19 2021

@author: Johannes Neumeyer
"""

class Medium():
    """
    Oberklasse aller Medien
    """

    def __init__(self, name):
        """
        Speichert die Daten
        -- Parameter name der Name des Mediums
        """
        self._name = name

class Song(Medium):
    """
    Beschreibt einen Song
    """

    def __init__(self, name, kuenstler):
        """
        Legt die Daten an
        -- Parameter name Name des Songs
        -- Parameter kuenstler Name des Kuenstlers, der den Song interpretiert
        """
        super().__init__(name)
        self.__kuenstler = kuenstler

class Film(Medium):
    """
    Beschreibt einen Film
    """

    def __init__(self, name, regisseur):
        """
        Legt die Daten an
        -- Parameter name der Name des Mediums
        -- Parameter regisseur der Name des Regisseurs, der den Film produziert hat
        """
        super().__init__(name)
        self.__regisseur = regisseur
